# Uses of Enum Class
org.apache.lucene.search.grouping.GroupSelector.State

- ## Uses of GroupSelector.State in org.apache.lucene.search.grouping

  Methods in org.apache.lucene.search.grouping that return GroupSelector.State
  Modifier and Type
  Method
  Description
  `GroupSelector.State`
  DoubleRangeGroupSelector.`advanceTo(int doc)`
  `abstract GroupSelector.State`
  GroupSelector.`advanceTo(int doc)`
  Advance the GroupSelector's iterator to the given document
  `GroupSelector.State`
  LongRangeGroupSelector.`advanceTo(int doc)`
  `GroupSelector.State`
  TermGroupSelector.`advanceTo(int doc)`
  `GroupSelector.State`
  ValueSourceGroupSelector.`advanceTo(int doc)`
  `static GroupSelector.State`
  GroupSelector.State.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static GroupSelector.State[]`
  GroupSelector.State.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.